﻿using System.ComponentModel.DataAnnotations;

namespace DamageAssesment.Api.Documents.Models
{
    public class Document : BaseDocument
    {
        public List<DocumentsTranslation> documentsTranslations { get; set; }
    }
    public class MultiLanDocument:BaseDocument
    {
        public object titles { get; set; }
        public object description { get; set; }
        public string LinkType { get; set; }
    }
    public class BaseDocument
    {
        public int Id { get; set; }

        public int linkTypeId { get; set; }
        public string docName { get; set; }

        public string url { get; set; }
        public string Path { get; set; }
        public bool IsActive { get; set; }
        public DateTime dateCreated { get; set; }
        public DateTime dateUpdated { get; set; }
    }
}
